@import 'css3-mixins';

.dataTables_length {
  left: 0;
  width: auto;
  padding-top: 4px;
  select {
    @include box-shadow(inset 0, 0, 2px, rgba(0,0,0,.2));
    @include border-radius(2px);
    color: #333;
    border: 1px solid #ccc;
    background: #fff;
    font-weight: bold;
    padding: 3px 5px;
    -webkit-appearance: none;
    position: relative;
    &:focus {
      outline: none;
    }
    &:after {
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      width: 45px;
      content: 'v';
    }
  }
}

.dataTables_info {
  left: 90px;
}

.dataTables_info, .dataTables_length {
  position: absolute;
  font-size: 12px !important;
  line-height: 24px;
}

.dataTables_paginate {
  width: auto;
  margin-top: 5px;
  vertical-align: top;
  @include box-sizing;
  span.btn {
    display: inline-block;
    vertical-align: top;
    width: 21px;
    height: 22px;
    margin-right: 0;
    margin-top: 0;
    padding-left: 3px;
    padding-right: 3px;
    background-image: url(<%= image_path('icons/pagination.png') %>);
    border: 1px solid #bbb;
    cursor: pointer;
    &:hover {
      background-image: url(<%= image_path('icons/pagination.png') %>);
    }
    &.first, &.next {
      border-right: none;
    }
    &.last, &.prev {
      border-left: 1px solid #ddd;
    }
    &.first {
      @include border-radius-separate(5px, 0, 0, 5px);
      background-position: 39px 5px;
    }
    &.prev {
      background-position: 18px 5px;
      border-left: 1px solid #c0c0c0;
      border-right: 0;
    }
    &.prev, &.next {
      @include border-radius-separate(0, 0, 0, 0);
    }
    &.next {
      background-position: 81px 5px;
      border-right: 1px solid #c0c0c0;
      border-left: 0;
    }
    &.last {
      @include border-radius-separate(0, 5px, 5px, 0);
      background-position: 61px 5px;
      border-left: 0;
    }
    &.disabled {
      @include opacity(0.4);
      cursor: default;
      pointer-events: none;
    }
  }
  input.curr {
    width: 30px;
    height: 22px;
    text-align: center;
    margin-top: 0;
  }
}

.dataTables_wrapper {
  * { @include box-sizing; }
  // .dataTables_info {
    // font-size: 11px;
  // }
  table .less-padding {
    padding: 4px;
    text-align: center;
  }
  table td:first-child input[type=checkbox] {
    display: block;
    margin: 0 auto;
    &.invisible {
      display: none;
    }
  }
}

.dataTables_processing {
  @include box-sizing(content-box);
}

.dataTables_filter input {
  @include border-radius(2px);
  background-position: 151px 4px;
}

.list-table-footer {
  .dataTables_info {
    width: auto;
    line-height: 24px;
    padding-top: 4px;
  }
}
